about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorFlorian Sattler <sflorian92@uni-koblenz.de>2016-08-26 22:48:34 +0200
committerFlorian Sattler <sflorian92@uni-koblenz.de>2016-08-26 22:48:34 +0200
commitd2f18170cae321cde246c4f96e4cf56a49a90689 (patch)
tree3ae79314c4331e3dc270b5c87e5e993087528801
parentaaae1e0861bb85259f1a888f56685666317cae9d (diff)
downloadranger-d2f18170cae321cde246c4f96e4cf56a49a90689.tar.gz
Added preview option for odt, ods, odp and sxw files using odt2txt
-rwxr-xr-xranger/data/scope.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 669d1e34..44fcec2b 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -80,6 +80,9 @@ case "$extension" in
     # BitTorrent Files
     torrent)
         try transmission-show "$path" && { dump | trim; exit 5; } || exit 1;;
+    # ODT Files
+    odt|ods|odp|sxw)
+        try odt2txt "$path" && { dump | trim; exit 5; } || exit 1;;
     # HTML Pages:
     htm|html|xhtml)
         try w3m    -dump "$path" && { dump | trim | fmt -s -w $width; exit 4; }